Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Class SetPropertiesBuilder

    java.lang.Object
      org.apache.commons.digester3.binder.SetPropertiesBuilder

All Implemented Interfaces:
  RuleProvider<SetPropertiesRule>

    public final class SetPropertiesBuilder

extends Object

Builder chained when invoking `LinkedRuleBuilder.setProperties()`.

Method Summary
`SetPropertiesBuilder` | `addAlias(String attributeName, String propertyName)` Add an additional attribute name to property name mapping.
`protected SetPropertiesRule` | `createRule()` Provides an instance of `Rule`.
`R` | `get()` Provides an instance of `Rule`.
`String` | `getNamespaceURI()` Returns the namespace URI for which this Rule is relevant, if any.
`String` | `getPattern()` Returns the rule pattern associated to this builder.
`SetPropertiesBuilder` | `ignoreAttribute(String attributeName)` Add an attribute name to the ignore list.
`SetPropertiesBuilder` | `ignoreMissingProperty(boolean ignoreMissingProperty)` Sets whether attributes found in the XML without matching properties should be ignored.
`protected void` | `reportError(String methodChain, String message)`
`LinkedRuleBuilder` | `then()` Come back to the main `LinkedRuleBuilder`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addAlias

    public SetPropertiesBuilder addAlias(String attributeName,
                                         String propertyName)

  Add an additional attribute name to property name mapping.

  Parameters:
    `attributeName` - The attribute to match
    `propertyName` - The java bean property to be assigned the value
  Returns:
    this builder instance

### ignoreAttribute

    public SetPropertiesBuilder ignoreAttribute(String attributeName)

  Add an attribute name to the ignore list.

  Parameters:
    `attributeName` - The attribute to match has to be ignored
  Returns:
    this builder instance

### ignoreMissingProperty

    public SetPropertiesBuilder ignoreMissingProperty(boolean ignoreMissingProperty)

  Sets whether attributes found in the XML without matching properties should be ignored. If set to false, the parsing will throw an `NoSuchMethodException` if an unmatched attribute is found. This allows to trap misspellings in the XML file.

  Parameters:
    `ignoreMissingProperty` - false to stop the parsing on unmatched attributes
  Returns:
    this builder instance

### createRule

    protected SetPropertiesRule createRule()

  Provides an instance of `Rule`. Must never return null.

  Returns:
    an instance of `Rule`.
  See Also:
    `get()`

### then

    public final LinkedRuleBuilder then()

  Come back to the main `LinkedRuleBuilder`.

  Returns:
    the main `LinkedRuleBuilder`

### getNamespaceURI

    public final String getNamespaceURI()

  Returns the namespace URI for which this Rule is relevant, if any.

  Returns:
    The namespace URI for which this Rule is relevant, if any

### get

    public final R get()

  Provides an instance of `Rule`. Must never return null.

  Specified by:
    `get` in interface `RuleProvider<R extends Rule>`
  Returns:
    an instance of `Rule`.

### reportError

    protected final void reportError(String methodChain,
                                     String message)

### getPattern

    public final String getPattern()

  Returns the rule pattern associated to this builder.

  Returns:
    The rule pattern associated to this builder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.